<?php
$config['seoTitle'] = 'Create Post | Admin | ';
extract($config);
?>
<?php require_once "inc/header.php" ?>
<!--Content Start-->
<div class="content-start transition  ">
    <div class="container-fluid dashboard">

        <form action="<?= htmlspecialchars('save-post.php') ?>" method="post" enctype="multipart/form-data">
            <section class="section">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title"><i class='bx bx-plus'></i> Create Post</h4>
                            </div>
                            <div class="card-body py-3 pb-5">
                                <div class="mb-3">
                                    <?php $categoriesData = getAllCategories(); ?>
                                    <label for="cat_uri"><i class="bx bx-tag-alt"></i> Choose Category</label>
                                    <select name="cat_uri" id="cat_uri" class="form-select formSelect">
                                        <option value="">Choose Category</option>
                                        <?php if (mysqli_num_rows($categoriesData) > 0) { ?>
                                            <?php while ($row = mysqli_fetch_assoc($categoriesData)) { ?>
                                                <?php if ($row['type'] == 'child') { ?>
                                                    <option value="<?= $row['uri'] ?>">
                                                        <?= $row['name'] ?> (Child)
                                                    </option>
                                                <?php } else { ?>
                                                    <option value="<?= $row['uri'] ?>">
                                                        <?= $row['name'] ?> (Parent)
                                                    </option>
                                                <?php }
                                            }
                                        } ?>
                                    </select>
                                </div>
                                <div class=" mb-3">
                                    <label for="name"><i class="bx bx-rename"></i> Post Name</label>
                                    <input type="text" name="name" id="name" class="form-control"
                                        placeholder="Enter here..." />
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class=" mb-3">
                                            <label for="thumbnail">Choose Thumbnail Image</label>
                                            <input type="file" class="form-control" name="thumbnail" id="thumbnail"
                                                accept="image/*" onchange="showPreview(event,'thumbnailPreview');">
                                            <div class="d-flex justify-content-center"><img
                                                    class="mt-3 img-thumbnail shadow"
                                                    style="width:100%;margin:auto;object-fit:contain;"
                                                    id="thumbnailPreview" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class=" mb-3">
                                            <label for="cover">Choose Cover Image</label>
                                            <input type="file" class="form-control" name="cover" id="cover"
                                                accept="image/*" onchange="showPreview(event,'coverPreview');">
                                            <div class="d-flex justify-content-center"><img
                                                    class="mt-3 img-thumbnail shadow"
                                                    style="width:100%;margin:auto;object-fit:contain;"
                                                    id="coverPreview" />
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label id="summery"><i class='bx bxs-edit'></i> Post Summery</label>
                                    <textarea class=" form-control editor_basic" name="summery" id="summery"
                                        placeholder="Enter here..."></textarea>
                                </div>
                                <div class="mb-3">
                                    <label id="editor"><i class='bx bxs-edit'></i> Post Content</label>
                                    <textarea class=" form-control editor" name="editor" id="editor"
                                        placeholder="Enter here..."></textarea>
                                </div>
                                <div class="mb-3">
                                    <label for="title"><i class="bx bx-globe"></i> Post SEO Title</label>
                                    <input type="text" name="title" id="title" class="form-control"
                                        placeholder="Enter here..." />
                                </div>
                                <div class="mb-3">
                                    <label id="description"><i class='bx bx-globe'></i> Post SEO Description</label>
                                    <textarea class=" form-control" name="description" id="description"
                                        placeholder="Enter here..."></textarea>
                                </div>
                                <div class="mb-3">
                                    <label id="keywords"><i class='bx bx-globe'></i> Post SEO Keywords</label>
                                    <textarea class=" form-control" name="keywords" id="keywords"
                                        placeholder="Enter here..."></textarea>
                                </div>
                                <div class="mb-3">
                                    <button type="submit" class="btn btn-primary btn-lg">
                                        <i class="bx bx-save"></i> Save Post
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </form>

        <!-- End summernote -->

    </div><!-- End Container-->
</div><!-- End Content-->
<?php require_once "inc/footer.php" ?>