<!-- Footer -->
<footer>
    <div class="footer">
        <div class="float-start">
            <p>
                <?= date('Y') ?> &copy;
                <?= getSetting('websiteName')->value ?>
            </p>
        </div>
    </div>
</footer>


<!-- Preloader -->
<div class="loader">
    <div class="spinner-border text-light" role="status">
        <span class="sr-only">Loading...</span>
    </div>
</div>

<!-- Loader -->
<div class="loader-overlay"></div>

<!-- General JS Scripts -->
<script src="<?= base_url('admin/assets/js/atrana.js') ?>"></script>

<!-- JS Libraies -->
<script src="<?= base_url('admin/assets/modules/jquery/jquery.min.js') ?>"></script>
<script src="<?= base_url('admin/assets/modules/bootstrap-5.1.3/js/bootstrap.bundle.min.js') ?>"></script>
<script src="<?= base_url('admin/assets/modules/popper/popper.min.js') ?>"></script>
<script src="<?= base_url('admin/assets/modules/sweetalert/sweetalert.all.min.js') ?>"></script>
<script src="<?= base_url('admin/assets/modules/summernote/summernote-lite.min.js') ?>"></script>

<?php if ($_SESSION['type'] && $_SESSION['title'] && $_SESSION['msg']) { ?>
<script>
$(document).ready(function() {
    Swal.fire({
        title: "<?= $_SESSION['title'] ?>",
        text: "<?= $_SESSION['msg'] ?>",
        icon: "<?= $_SESSION['type'] ?>",
        button: false,
        timer: 2500
    });
});
</script>
<?php } ?>

<script>
$(document).ready(function() {
    $('.editor_basic').summernote({
        placeholder: 'Enter content here...',
        tabsize: 2,
        minHeight: 200,
        toolbar: [
            ['style', ['bold', 'italic', 'underline', 'clear', 'strikethrough', 'fontsize', 'color',
                'paragraph', 'height'
            ]]
        ]
    });
    $('.editor').each(function(i) {
        $('.editor').eq(i).summernote({
            placeholder: 'Enter content here...',
            tabsize: 2,
            minHeight: 200,
            callbacks: {
                onImageUpload: function(files) {
                    sendFile(files[0], i);
                }
            }
        });
    });

    function sendFile(img, i) {
        var formData = new FormData();
        formData.append("img", img);
        $.ajax({
            type: "POST",
            url: "<?= base_url('admin/uploadImage.php') ?>",
            cache: false,
            contentType: false,
            processData: false,
            data: formData,
            beforeSend: function() {
                Swal.fire({
                    title: "Uploading Started",
                    text: "Image is uploaded...",
                    icon: "info",
                    button: false,
                    timer: 3000
                });
            },
            success: function(url) {
                if (url == '10001') {
                    Swal.fire({
                        title: "Uploading Error!",
                        text: "Please choose a photo!",
                        icon: "warning",
                        button: false,
                        timer: 3000
                    });
                } else if (url == '20002') {
                    Swal.fire({
                        title: "Uploading Error!",
                        text: "Extension not allowed, please choose a JPEG or PNG file!",
                        icon: "warning",
                        button: false,
                        timer: 3000
                    });
                } else if (url == '30003') {
                    Swal.fire({
                        title: "Uploading Error!",
                        text: "File size must be equal or less than 2 MB!",
                        icon: "warning",
                        button: false,
                        timer: 3000
                    });
                } else if (url == '40004') {
                    Swal.fire({
                        title: "Uploading Error!",
                        text: "Unable to upload the file due to some technical error!",
                        icon: "warning",
                        button: false,
                        timer: 3000
                    });
                } else {
                    $('.editor').eq(i).summernote('insertImage', url);
                    // swal({
                    //   title: "Uploaded Successfully!",
                    //   text: "File uploaded and soon it will be insert into the editor.",
                    //   icon: "success",
                    //   button: false,
                    //   timer: 3000
                    // });
                }
                swal.close();
            },
            complete: function(url) {
                Swal.fire({
                    title: "Uploaded Successfully!",
                    text: "File uploaded and soon it will be insert into the editor.",
                    icon: "success",
                    button: false,
                    timer: 3000
                });
            }
        });
    }
});


function dc(uri) {
    Swal.fire({
        title: 'Are you sure?',
        text: 'Item will be delete for permanently!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            // User confirmed, redirect to the given URI
            window.location.href = uri;
        }
    });
}

function showPreview(event, previewId) {
    if (event.target.files.length > 0) {
        var src = URL.createObjectURL(event.target.files[0]);
        var preview = document.getElementById(previewId);
        preview.src = src;
        preview.style.display = "block";
    }
}
</script>

<!-- Template JS File -->
<script src="<?= base_url('admin/assets/js/script.js') ?>"></script>
<script src="<?= base_url('admin/assets/js/custom.js') ?>"></script>


<script>
$(document).ready(function() {
    // When the "Select All" checkbox is clicked
    $("#selectAllCheckBox").on("change", function() {
        // Get its checked state
        var isChecked = $(this).prop("checked");

        // Set the state of all ".checkBox" checkboxes to match
        $(".checkBox").prop("checked", isChecked);
    });

    // When any of the ".checkBox" checkboxes is clicked
    $(".checkBox").on("change", function() {
        // Check if any of the checkboxes are unchecked
        var anyUnchecked = $(".checkBox").filter(":not(:checked)").length > 0;

        // If any checkbox is unchecked, uncheck the "Select All" checkbox
        $("#selectAllCheckBox").prop("checked", !anyUnchecked);
    });
});
</script>


<!-- Clock - Start -->
<script>
function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";
    if (h == 0) {
        h = 12;
    }
    if (h > 12) {
        h = h - 12;
        session = "PM";
    }
    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;
    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;
    setTimeout(showTime, 1000);
}
showTime();
</script>
<!-- Clock - End -->

</body>

</html>
<?php unSetMsg();
require_once "../includes/end.php" ?>